JobSub - Bug #10445

unhelpful complaint from jobsub_submit
10/09/2015 02:51 PM - Andrei Gaponenko
Description

$ which jobsub_submit
/cvmfs/fermilab.opensciencegrid.org/products/common/prd/jobsub_client/v1_1_6/NULL/jobsub_submit

$ jobsub_submit ./myscript.sh
You must supply a job executable. File " not found. Exiting

I am supplying a non-"" executable file. If it does not like the format
it should say so. Per "jobsub_submit -h"

Usage: jobsub_submit [Client Options] [Server Options] user_script [user_script_args]

how is one supposed to guess that "user_script" should be something else than a file name?

History

#1 - 10/26/2015 02:51 PM - Dennis Box

Hi Andrei,

| cannot reproduce, my error message mentions file://. Any idea what else is set up in your environment besides jobsub_client which might be
affecting this?

Dennis

[dbox@novagpvmO01 ~]$ which jobsub_submit
/cvmfs/fermilab.opensciencegrid.org/products/common/prd/jobsub_client/v1_1_6/NULL/jobsub_submit

[dbox@novagpvmO01 ~]$ jobsub_submit ./myfile.sh

ERROR: Missing required arguments

REQUIRED arguments are (--group AND file://[your_grid_job_here]). Please direct questions, comments, or problems to the service desk
Usage: jobsub_submit [Client Options] [Server Options] user_script [user_script_args]

Provide --group and --jobsub-server to see full help

Options:
--version show program's version number and exit

Client Options:
-G &1lt;Group/Experiment/Subgroup&gt;, —--group=&lt;Group/Experiment/Subgroupé&gt;
Group/Experiment/Subgroup for priorities and

accounting
—-role=&lt;VOMS Role&gt; VOMS Role for priorities and accounting
-—-dag submit and run a dagNabbit input file

——jobsub-server=&1lt; JobSub Serveré&gt;
Alternate location of JobSub server to use
——dropbox-server=&lt;Dropbox Serveré&gt;
Alternate location of Dropbox server to use
——debug Print debug messages including server contacted, http
response, response time
-h, --help Show this help message and exit

REQUIRED arguments are (--group AND file:/[your_grid_job_here]). Please
direct questions, comments, or problems to the service desk
[dbox@novagpvmO01 ~]$

#2 - 10/26/2015 03:08 PM - Dennis Box
Andrei showed me how to reproduce:

[dbox@mu2egpvmO01 ~]$ source /cvmfs/mu2e.opensciencegrid.org/setupmu2e-art.sh
[dbox@mu2egpvmO01 ~]$ setup jobsub_client

[dbox@mu2egpvmO01 ~]$ jobsub_submit ./myfile.sh

You must supply a job executable. File " not found. Exiting

[dbox@mu2egpvmO01 ~]$

-/

#3 - 10/26/2015 03:14 PM - Dennis Box

If JOBSUB_GROUP is set, the error Andrei reported happens. Unsetting JOBSUB_GROUP reverts to the behavior | thought happened. So this is
fairly easy to fix.

#4 - 10/26/2015 03:58 PM - Dennis Box

- Target version set to v1.1.8

#5 - 10/27/2015 10:12 AM - Parag Mhashilkar

- Assignee set to Dennis Box

#6 - 10/30/2015 10:48 AM - Dennis Box
- Status changed from New to Feedback

- Assignee changed from Dennis Box to Parag Mhashilkar

#7 - 11/05/2015 11:56 AM - Dennis Box

- Tracker changed from Feature to Bug

#8 - 11/18/2015 12:04 PM - Dennis Box
- Status changed from Feedback to Closed

11/01/2020 22


http://www.tcpdf.org

